Bug 860508 - Feature request: Attach anaconda to any installed system for downgrade broken packages
Feature request: Attach anaconda to any installed system for downgrade broken...
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-09-25 22:40 EDT by Mikhail
Modified: 2012-10-08 09:59 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-09-26 11:02:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mikhail 2012-09-25 22:40:18 EDT
Description of problem:
Today yum upgrade systemd form 188-3 to 191-2 version and my all Fedora 18 systems became unbootable.
Every time boot process ended with message "segfault at 39 ip b7455447 sp bf926a68 error 4 in libc-2.16.so[b73d5000+1af000]"

To recover I had to reinstall all Fedora 18 systems and after "yum update" do "yum downgrade systemd-libs systemd-sysv systemd libgudev1" immediately (before reboot).

I don't know another way to recover system in this case. Be better if I could boot from LiveCD and attach unbootable system to anaconda for downgrade broken packages.
Comment 1 David Lehman 2012-09-26 11:02:31 EDT
Try running anaconda in rescue mode -- this is exactly what it is for. It will mount your system for you. All you have to do then is chroot into your mounted system (chroot /mnt/sysimage) and fix your problems (yum downgrade ....).
Comment 2 Mikhail 2012-10-06 17:06:51 EDT
How I can it do?
Explain exactly please. Step by step.
Comment 3 Chris Lumens 2012-10-08 09:59:51 EDT
Bugzilla is not a support system, sorry.  Please ask your question on a Fedora users mailing list or support forum.

Note You need to log in before you can comment on or make changes to this bug.